## r-cran-stringi 1.0

=== DESCRIPTION ===
Package: stringi
Version: 1.0-1
Date: 2015-10-22
Title: Character String Processing Facilities
Description: Allows for fast, correct, consistent, portable,
    as well as convenient character string/text processing in every locale
    and any native encoding. Owing to the use of the ICU library,
    the package provides R users with platform-independent functions
    known to Java, Perl, Python, PHP, and Ruby programmers. Among available
    features there are: pattern searching (e.g., with ICU Java-like regular
    expressions or the Unicode Collation Algorithm), random string generation,
    case mapping, string transliteration, concatenation,
    Unicode normalization, date-time formatting and parsing, etc.
URL: http://stringi.rexamine.com/ http://site.icu-project.org/
        http://www.unicode.org/
BugReports: http://github.com/Rexamine/stringi/issues
SystemRequirements: ICU4C (>= 50, optional)
Type: Package
Depends: R (>= 2.13.1)
Imports: tools, utils, stats
Biarch: TRUE
License: file LICENSE
Author: Marek Gagolewski and Bartek Tartanus (stringi source code);
    IBM and other contributors (ICU4C 55.1 source code);
    Unicode, Inc. (Unicode Character Database)
Maintainer: Marek Gagolewski <gagolews@rexamine.com>
NeedsCompilation: yes
Packaged: 2015-10-22 14:03:17 UTC; gagolews
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2015-10-22 22:14:43

## r-cran-stringi 1.0-1

=== debian/changelog ===
r-cran-stringi (1.0-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Nov 2015 11:07:31 +0100

r-cran-stringi (0.5-5-1) unstable; urgency=medium

  * Initial upload (Closes: #801085)

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 19:05:09 +0200

=== debian/control ===
Source: r-cran-stringi
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               libicu-dev,
               pkg-config,
               r-base-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-stringi/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-stringi/
Homepage: http://cran.r-project.org/web/packages/stringi

Package: r-cran-stringi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: GNU R character string processing facilities
 Allows for fast, correct, consistent, portable, as well as convenient
 character string/text processing in every locale and any native
 encoding. Owing to the use of the ICU library, the package provides R
 users with platform-independent functions known to Java, Perl, Python,
 PHP, and Ruby programmers. Among available features there are: pattern
 searching (e.g. via regular expressions), random string generation,
 string collation, transliteration, concatenation, date-time formatting
 and parsing, etc.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/stringi_([\d.-]*)\.tar\.gz

## r-cran-stringi 1.0.1

=== debian/changelog ===
r-cran-stringi (1.0.1-1) unstable; urgency=low

  * UNRELEASED
  * Initial release. (Closes: #FIXME)

 -- Joost van Baal-Ilić <joostvb+shiny@uvt.nl>  Tue, 10 Nov 2015 09:51:23 +0100

=== debian/control ===
Source: r-cran-stringi
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb+shiny@uvt.nl>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/stringi/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-stringi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-stringi.git

Package: r-cran-stringi
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}
Description: GNU R package for Character String Processing Facilities
 The R package stringi allows for fast, correct, consistent, portable, as well
 as convenient character string/text processing in every locale and any native
 encoding. Owing to the use of the ICU library, the package provides R users
 with platform-independent functions known to Java, Perl, Python, PHP, and Ruby
 programmers. Among available features there are: pattern searching (e.g., with
 ICU Java-like regular expressions or the Unicode Collation Algorithm), random
 string generation, case mapping, string transliteration, concatenation, Unicode
 normalization, date-time formatting and parsing, etc.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/stringi_([-\d\.]*)\.tar.gz

## r-cran-stringi 1.1.2

=== debian/changelog ===
r-cran-stringi (1.1.2-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 09:57:16 +0000

r-cran-stringi (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2016 14:33:05 +0100

=== debian/control ===
Source: r-cran-stringi
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               libicu-dev,
               pkg-config,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-stringi/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-stringi/
Homepage: https://cran.r-project.org/package=stringi

Package: r-cran-stringi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R character string processing facilities
 Allows for fast, correct, consistent, portable, as well as convenient
 character string/text processing in every locale and any native
 encoding. Owing to the use of the ICU library, the package provides R
 users with platform-independent functions known to Java, Perl, Python,
 PHP, and Ruby programmers. Among available features there are: pattern
 searching (e.g. via regular expressions), random string generation,
 string collation, transliteration, concatenation, date-time formatting
 and parsing, etc.

## r-cran-stringi 1.1.6

=== DESCRIPTION ===
Package: stringi
Version: 1.1.6
Date: 2017-11-10
Title: Character String Processing Facilities
Description: Allows for fast, correct, consistent, portable,
    as well as convenient character string/text processing in every locale
    and any native encoding. Owing to the use of the ICU library,
    the package provides R users with platform-independent functions
    known to Java, Perl, Python, PHP, and Ruby programmers. Available
    features include: pattern searching (e.g., with ICU Java-like regular
    expressions or the Unicode Collation Algorithm), random string generation,
    case mapping, string transliteration, concatenation,
    Unicode normalization, date-time formatting and parsing, etc.
URL: http://www.gagolewski.com/software/stringi/
        http://site.icu-project.org/ http://www.unicode.org/
BugReports: http://github.com/gagolews/stringi/issues
SystemRequirements: ICU4C (>= 52, optional)
Type: Package
Depends: R (>= 2.14)
Imports: tools, utils, stats
Biarch: TRUE
License: file LICENSE
Author: Marek Gagolewski [aut, cre], Bartek Tartanus [ctb],
    and other contributors (stringi source code);
    IBM and other contributors (ICU4C 55.1 source code);
    Unicode, Inc. (Unicode Character Database)
Maintainer: Marek Gagolewski <gagolews@rexamine.com>
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-11-10 13:42:04 UTC; gagolews
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2017-11-17 13:13:14 UTC

=== debian/changelog ===
r-cran-stringi (1.1.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Drop unused lintian-override
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 09:50:37 +0100

r-cran-stringi (1.1.5-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Testsuite: autopkgtest-pkg-r
  * lintian-override for non-issue

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 22:28:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                libicu-dev,
                pkg-config,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-stringi/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-stringi/
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-stringi.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi
 
 Package: r-cran-stringi

## r-cran-stringi 1.2.4

=== DESCRIPTION ===
Package: stringi
Version: 1.2.4
Date: 2018-07-20
Title: Character String Processing Facilities
Description: Allows for fast, correct, consistent, portable,
    as well as convenient character string/text processing in every locale
    and any native encoding. Owing to the use of the 'ICU' library,
    the package provides 'R' users with platform-independent functions
    known to 'Java', 'Perl', 'Python', 'PHP', and 'Ruby' programmers. Available
    features include: pattern searching (e.g., with 'Java'-like regular
    expressions or the 'Unicode' collation algorithm), random string generation,
    case mapping, string transliteration, concatenation,
    Unicode normalization, date-time formatting and parsing, and many more.
URL: http://www.gagolewski.com/software/stringi/
        http://site.icu-project.org/ http://www.unicode.org/
BugReports: http://github.com/gagolews/stringi/issues
SystemRequirements: ICU4C (>= 52, optional)
Type: Package
Depends: R (>= 2.14)
Imports: tools, utils, stats
Biarch: TRUE
License: file LICENSE
Author: Marek Gagolewski [aut, cre], Bartek Tartanus [ctb],
    and other contributors (stringi source code);
    IBM and other contributors (ICU4C source code);
    Unicode, Inc. (Unicode Character Database)
Maintainer: Marek Gagolewski <gagolews@rexamine.com>
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-07-20 11:58:52 UTC; gagolews
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2018-07-20 17:30:03 UTC

=== debian/changelog ===
r-cran-stringi (1.2.4-2) unstable; urgency=medium

  * Team upload
  * Build with bundled icu61 on big-endian, because system icu63 is
    built with U_CHARSET_IS_UTF8, thanks xnox! (Closes: #913626)

 -- Graham Inggs <ginggs@debian.org>  Thu, 15 Nov 2018 13:44:19 +0000

r-cran-stringi (1.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jul 2018 12:28:54 +0200

r-cran-stringi (1.2.3-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jun 2018 22:06:28 +0200

r-cran-stringi (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 08:42:15 +0200

r-cran-stringi (1.1.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 16 Mar 2018 09:25:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: r-cran-stringi
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
-               libicu-dev,
-               pkg-config,
-               r-base-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-stringi.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-stringi.git
+               r-base-dev,
+               pkg-config
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi
 
 Package: r-cran-stringi
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R character string processing facilities

## r-cran-stringi 1.4.3

=== debian/changelog ===
r-cran-stringi (1.4.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Upstream has applied patch for icudt61b

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 08:40:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                pkg-config
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi

## r-cran-stringi 1.4.6

=== DESCRIPTION ===
Package: stringi
Version: 1.4.6
Date: 2020-02-17
Title: Character String Processing Facilities
Description: Fast, correct, consistent, portable and convenient character
    string/text processing in every locale and any native encoding. 
    Owing to the use of the 'ICU' (International Components for Unicode) 
    library, the package provides 'R' users with platform-independent functions
    known to 'Java', 'Perl', 'Python', 'PHP' and 'Ruby' programmers. Available
    features include: pattern searching (e.g., with 'Java'-like regular
    expressions or the 'Unicode' collation algorithm), random string generation,
    case mapping, string transliteration, concatenation,
    Unicode normalization, date-time formatting and parsing and many more.
URL: http://www.gagolewski.com/software/stringi/
        http://site.icu-project.org/ http://www.unicode.org/
BugReports: http://github.com/gagolews/stringi/issues
SystemRequirements: ICU4C (>= 55, optional)
Type: Package
Depends: R (>= 2.14)
Imports: tools, utils, stats
Biarch: TRUE
License: file LICENSE
Author: Marek Gagolewski [aut, cre] (<https://orcid.org/0000-0003-0637-6028>),
    Bartek Tartanus [ctb]
    and other contributors (stringi source code);
    IBM, Unicode, Inc. and other contributors (ICU4C source code);
    Unicode, Inc. (Unicode Character Database)
Maintainer: Marek Gagolewski <marek@gagolewski.com>
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2020-02-17 01:46:10 UTC; gagolews
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2020-02-17 18:00:06 UTC

=== debian/changelog ===
r-cran-stringi (1.4.6-1build3) groovy; urgency=medium

  * No-change rebuild against libicu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 16:18:54 +0000

r-cran-stringi (1.4.6-1build2) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:35:15 +0000

r-cran-stringi (1.4.6-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:23:03 +0100

r-cran-stringi (1.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 08:50:36 +0100

r-cran-stringi (1.4.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 20:45:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: r-cran-stringi
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi

## r-cran-stringi 1.5.3

=== DESCRIPTION ===
Package: stringi
Version: 1.5.3
Date: 2020-09-04
Title: Character String Processing Facilities
Description: A multitude of character string/text/natural language
    processing tools: pattern searching (e.g., with 'Java'-like regular
    expressions or the 'Unicode' collation algorithm), random string generation,
    case mapping, string transliteration, concatenation, sorting, padding,
    wrapping, Unicode normalisation, date-time formatting and parsing,
    and many more. They are fast, consistent, convenient, and -
    owing to the use of the 'ICU' (International Components for Unicode)
    library - portable across all locales and platforms.
URL: https://stringi.gagolewski.com/ http://site.icu-project.org/
        https://www.unicode.org/
BugReports: https://github.com/gagolews/stringi/issues
SystemRequirements: ICU4C (>= 55, optional)
Type: Package
Depends: R (>= 2.14)
Imports: tools, utils, stats
Biarch: TRUE
License: file LICENSE
Author: Marek Gagolewski [aut, cre, cph] (<https://orcid.org/0000-0003-0637-6028>),
    Bartek Tartanus [ctb],
    and other contributors (stringi source code);
    IBM, Unicode, Inc. and other contributors (ICU4C source code);
    Unicode, Inc. (Unicode Character Database)
Maintainer: Marek Gagolewski <marek@gagolewski.com>
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-09-04 06:13:18 UTC; gagolews
Repository: CRAN
Date/Publication: 2020-09-09 06:40:03 UTC

=== debian/changelog ===
r-cran-stringi (1.5.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 11:32:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-stringi
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                pkg-config
@@ -13,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi
+Rules-Requires-Root: no
 
 Package: r-cran-stringi
 Architecture: any

## r-cran-stringi 1.7.6

=== DESCRIPTION ===
Package: stringi
Version: 1.7.6
Date: 2021-11-29
Title: Character String Processing Facilities
Description: A collection of character string/text/natural language
    processing tools for pattern searching (e.g., with 'Java'-like regular
    expressions or the 'Unicode' collation algorithm), random string generation,
    case mapping, string transliteration, concatenation, sorting, padding,
    wrapping, Unicode normalisation, date-time formatting and parsing,
    and many more. They are fast, consistent, convenient, and -
    thanks to 'ICU' (International Components for Unicode) -
    portable across all locales and platforms.
URL: https://stringi.gagolewski.com/ https://icu.unicode.org/
BugReports: https://github.com/gagolews/stringi/issues
SystemRequirements: C++11, ICU4C (>= 55, optional)
Type: Package
Depends: R (>= 3.1)
Imports: tools, utils, stats
Biarch: TRUE
License: file LICENSE
Author: Marek Gagolewski [aut, cre, cph] (<https://orcid.org/0000-0003-0637-6028>),
    Bartek Tartanus [ctb], and others (stringi source code);
    Unicode, Inc. and others (ICU4C source code, Unicode Character Database)
Maintainer: Marek Gagolewski <marek@gagolewski.com>
RoxygenNote: 7.1.2
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-11-28 23:34:08 UTC; gagolews
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2021-11-29 09:00:02 UTC

=== debian/changelog ===
r-cran-stringi (1.7.6-1build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:41:55 +0100

r-cran-stringi (1.7.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 21:40:57 +0100

r-cran-stringi (1.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Oct 2021 19:58:07 +0000

r-cran-stringi (1.7.4-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 07:42:46 +0200

r-cran-stringi (1.7.3-1) unstable; urgency=medium

  * Remove unneeded debian/source/include-binaries
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 18:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/stringi_([\d.-]*)\.tar\.gz

## r-cran-stringi 1.7.8

=== debian/changelog ===
r-cran-stringi (1.7.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 11:50:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-stringi
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
+Homepage: https://cran.r-project.org/package=stringi
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                pkg-config
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
-Homepage: https://cran.r-project.org/package=stringi
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-stringi
 Architecture: any

## r-cran-stringi 1.7.12

=== DESCRIPTION ===
Package: stringi
Version: 1.7.12
Date: 2023-01-09
Title: Fast and Portable Character String Processing Facilities
Description: A collection of character string/text/natural language
    processing tools for pattern searching (e.g., with 'Java'-like regular
    expressions or the 'Unicode' collation algorithm), random string generation,
    case mapping, string transliteration, concatenation, sorting, padding,
    wrapping, Unicode normalisation, date-time formatting and parsing,
    and many more. They are fast, consistent, convenient, and -
    thanks to 'ICU' (International Components for Unicode) -
    portable across all locales and platforms. Documentation about 'stringi' is
    provided via its website at <https://stringi.gagolewski.com/> and
    the paper by Gagolewski (2022, <doi:10.18637/jss.v103.i02>).
URL: https://stringi.gagolewski.com/,
        https://github.com/gagolews/stringi, https://icu.unicode.org/
BugReports: https://github.com/gagolews/stringi/issues
SystemRequirements: C++11, ICU4C (>= 55, optional)
Type: Package
Depends: R (>= 3.1)
Imports: tools, utils, stats
Biarch: TRUE
License: file LICENSE
Author: Marek Gagolewski [aut, cre, cph] (<https://orcid.org/0000-0003-0637-6028>),
    Bartek Tartanus [ctb], and others (stringi source code);
    Unicode, Inc. and others (ICU4C source code, Unicode Character Database)
Maintainer: Marek Gagolewski <marek@gagolewski.com>
RoxygenNote: 7.2.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2023-01-09 07:28:38 UTC; gagolews
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2023-01-11 10:10:02 UTC

=== debian/changelog ===
r-cran-stringi (1.7.12-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:26:04 -0500

r-cran-stringi (1.7.12-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 11:42:42 +0100

## r-cran-stringi 1.8.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stringi
-Version: 1.7.12
-Date: 2023-01-09
+Version: 1.8.3
+Date: 2023-12-10
 Title: Fast and Portable Character String Processing Facilities
 Description: A collection of character string/text/natural language
     processing tools for pattern searching (e.g., with 'Java'-like regular
@@ -15,9 +15,9 @@
 URL: https://stringi.gagolewski.com/,
         https://github.com/gagolews/stringi, https://icu.unicode.org/
 BugReports: https://github.com/gagolews/stringi/issues
-SystemRequirements: C++11, ICU4C (>= 55, optional)
+SystemRequirements: ICU4C (>= 61, optional)
 Type: Package
-Depends: R (>= 3.1)
+Depends: R (>= 3.4)
 Imports: tools, utils, stats
 Biarch: TRUE
 License: file LICENSE
@@ -25,10 +25,10 @@
     Bartek Tartanus [ctb], and others (stringi source code);
     Unicode, Inc. and others (ICU4C source code, Unicode Character Database)
 Maintainer: Marek Gagolewski <marek@gagolewski.com>
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-01-09 07:28:38 UTC; gagolews
+Packaged: 2023-12-10 07:26:05 UTC; gagolews
 License_is_FOSS: yes
 Repository: CRAN
-Date/Publication: 2023-01-11 10:10:02 UTC
+Date/Publication: 2023-12-11 22:50:03 UTC

=== debian/changelog ===
r-cran-stringi (1.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:35:19 +0100

r-cran-stringi (1.8.2-1) unstable; urgency=medium

  * d/copyright: Drop unneeded paragraph
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 26 Nov 2023 18:14:34 +0100

r-cran-stringi (1.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:12:55 +0100

r-cran-stringi (1.7.12-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1048562

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 22:55:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-stringi 1.8.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stringi
-Version: 1.8.3
-Date: 2023-12-10
+Version: 1.8.4
+Date: 2024-05-06
 Title: Fast and Portable Character String Processing Facilities
 Description: A collection of character string/text/natural language
     processing tools for pattern searching (e.g., with 'Java'-like regular
@@ -28,7 +28,7 @@
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-12-10 07:26:05 UTC; gagolews
+Packaged: 2024-05-06 12:50:25 UTC; gagolews
 License_is_FOSS: yes
 Repository: CRAN
-Date/Publication: 2023-12-11 22:50:03 UTC
+Date/Publication: 2024-05-06 15:00:02 UTC

=== debian/changelog ===
r-cran-stringi (1.8.4-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:30:01 +0100

r-cran-stringi (1.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 13:08:11 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
 Homepage: https://cran.r-project.org/package=stringi
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-stringi 1.8.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stringi
-Version: 1.8.4
-Date: 2024-05-06
+Version: 1.8.7
+Date: 2025-03-27
 Title: Fast and Portable Character String Processing Facilities
 Description: A collection of character string/text/natural language
     processing tools for pattern searching (e.g., with 'Java'-like regular
@@ -21,14 +21,27 @@
 Imports: tools, utils, stats
 Biarch: TRUE
 License: file LICENSE
-Author: Marek Gagolewski [aut, cre, cph] (<https://orcid.org/0000-0003-0637-6028>),
-    Bartek Tartanus [ctb], and others (stringi source code);
-    Unicode, Inc. and others (ICU4C source code, Unicode Character Database)
-Maintainer: Marek Gagolewski <marek@gagolewski.com>
-RoxygenNote: 7.2.3
+Authors@R: c(person(given = "Marek",
+                      family = "Gagolewski",
+                      role = c("aut", "cre", "cph"),
+                      email = "marek@gagolewski.com",
+                      comment = c(ORCID = "0000-0003-0637-6028")),
+               person(given = "Bartek",
+                      family = "Tartanus",
+                      role = "ctb"),
+               person("Unicode, Inc. and others", role="ctb",
+                      comment = "ICU4C source code, Unicode Character Database")
+    )
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2024-05-06 12:50:25 UTC; gagolews
+Packaged: 2025-03-27 10:27:19 UTC; gagolews
+Author: Marek Gagolewski [aut, cre, cph]
+    (<https://orcid.org/0000-0003-0637-6028>),
+  Bartek Tartanus [ctb],
+  Unicode, Inc. and others [ctb] (ICU4C source code, Unicode Character
+    Database)
+Maintainer: Marek Gagolewski <marek@gagolewski.com>
 License_is_FOSS: yes
 Repository: CRAN
-Date/Publication: 2024-05-06 15:00:02 UTC
+Date/Publication: 2025-03-27 13:10:02 UTC

=== debian/changelog ===
r-cran-stringi (1.8.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 18:06:29 +0900

=== debian/control ===
Source: r-cran-stringi
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 pkgconf,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringi.git
Homepage: https://cran.r-project.org/package=stringi
Rules-Requires-Root: no

Package: r-cran-stringi
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R character string processing facilities
 Allows for fast, correct, consistent, portable, as well as convenient
 character string/text processing in every locale and any native
 encoding. Owing to the use of the ICU library, the package provides R
 users with platform-independent functions known to Java, Perl, Python,
 PHP, and Ruby programmers. Among available features there are: pattern
 searching (e.g. via regular expressions), random string generation,
 string collation, transliteration, concatenation, date-time formatting
 and parsing, etc.
